Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
blackdown-jdk <-> ibm-jdk-bin [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
fr3sh
n00b
n00b


Joined: 25 Jul 2005
Posts: 55

PostPosted: Wed Nov 16, 2005 8:16 pm    Post subject: blackdown-jdk <-> ibm-jdk-bin [SOLVED] Reply with quote

I have massive Problems with the MD5sum of the IBMJava2-SDK-142.ppc.tgz which is from the ibm website.
I tried a lot of workarounds. Nothing of them could help me.

So my question.

Is there a way to use the blackdown-jdk instead of the ibm-jdk-bin with eclipse and similar programms?

First i emerged blackdown-jdk. After that i tried to emerge eclipse-sdk. But the eclipse-sdk tried to emerge the IBMJava thing again...


no idea, what to do... is can anyone help??




thanks fr3sh


Last edited by fr3sh on Wed Nov 16, 2005 9:50 pm; edited 1 time in total
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Wed Nov 16, 2005 8:21 pm    Post subject: Reply with quote

Make sure you're using the correct version of the IBM JDK, there are a few options, only one of them is the one in the ebuild. IBM-JRE/JDK is really the only option right now, sorry.
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
fr3sh
n00b
n00b


Joined: 25 Jul 2005
Posts: 55

PostPosted: Wed Nov 16, 2005 8:40 pm    Post subject: Reply with quote

thanks for your answer... i try to find another version :-)
Back to top
View user's profile Send private message
fr3sh
n00b
n00b


Joined: 25 Jul 2005
Posts: 55

PostPosted: Wed Nov 16, 2005 9:02 pm    Post subject: Reply with quote

hmmm... think i know what you mean...
there are three versions out... try to download and thest them all!


thanks!!!!!!!!



edit:


now it is working... there are three different versions of the required package:

* SR1a
* GA-1
* GA

i think the one i used was GA-1

ok... thanks for all this


Last edited by fr3sh on Wed Nov 16, 2005 9:34 pm; edited 1 time in total
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Wed Nov 16, 2005 9:07 pm    Post subject: Reply with quote

It should say exactly which to use in the ebuild, but you'll want the 32bit iSeries/pSeries one. Note that bug #111039 might help you out a little too, IBM bumped the version, but the filename is the same, you may need to use the ~ppc ebuild instead.
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
projectle
Tux's lil' helper
Tux's lil' helper


Joined: 30 Jan 2005
Posts: 90

PostPosted: Sat May 06, 2006 10:55 pm    Post subject: Reply with quote

Note, if you go to http://www-128.ibm.com/developerworks/java/jdk/linux/older_download.html
Select 32-bit iSeries/pSeries Java 1.4.2 SR4
And then the JRE *.tgz file, you will get the correct version needed by Portage as of May 6, 2006 - 15:53:51 PDT.

To reiterate, absolutely no modification of anything is necissary to make this work.

This is not the same one as used in the current Portage directions of where to download, as that one directs you to the slightly changed version by IBM.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum